<?php get_header();

/*
  template name: página inicial
*/
?>


   
   <section class="jumbotron text-center">
        <div class="container">
          <h1 class="jumbotron-heading">Primeiro tema Worpress</h1>
          <p class="lead text-muted">Criando arquitetura do tema, Loops e algumas funções básicas para comerçarmos.</p>
          <p>
            <a href="http://www.micheldeziderio.com.br/arquitetura-de-tema-wordpress" class="btn btn-primary my-2">Ir para o post</a>
            <a href="http://www.micheldeziderio.com.br" class="btn btn-secondary my-2">Acessar site</a>
          </p>
        </div>
      </section>

<div class="album py-5 bg-light">
        <div class="container">

            <div class="row">

                  <?php 
                      // Loop dos artigos exibidos via Query + A quantidade de posts que iram apercer
                      query_posts( 'showposts=6' );
                      
                      // Verifica se existe posts
                      while ( have_posts() ) : the_post();                    
                  ?>
                  
                    <div class="col-md-4">
                      <div class="card mb-4 box-shadow">

                        <img class="card-img-top" src="<?php the_post_thumbnail_url() ?>" alt="<?php the_title(); ?>"> <!-- Imagem destacada -->

                        <div class="card-body">
                          <h4><?php the_title();?></h4> <!-- Titulo do post -->

                          <p class="card-text"><?php echo excerpt('20'); ?></p> <!-- Descrição do post -->
                          <div class="d-flex justify-content-between align-items-center">
                            <div class="btn-group">
                              <a href="<?php the_permalink(); ?>" class="btn btn-sm btn-outline-secondary">Continuar lendo</a> <!-- Botão para ir ao post completo-->
                            </div>
                            <small class="text-muted"><?php the_time('j \d\e F \d\e y') ?></small> <!-- Data do post -->
                          </div>
                        </div>
                      </div>
                    </div>

                    <?php endwhile;
                       // Reseta Query
                        wp_reset_query();
                     ?>
            </div>
          
        </div>
</div>
   
   















<?php get_footer();?>
